%define name		xapool
%define version		1.4
%define release		1jpp
%define	section		free


Name:		%{name}
Summary:	XAPOOL: open source XA Pool
Url:		http://xapool.experlog.com/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	xapool-1.4-src.tgz

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:  junit
BuildRequires:	java >= 0:1.4
BuildRequires:  oracle-jdbc-thin-java14
BuildRequires:  carol
BuildRequires:  idb
BuildRequires:  jakarta-commons-logging
BuildRequires:  jotm
BuildRequires:  jta
BuildRequires:  log4j
BuildRequires:  p6spy
Requires:  java >= 0:1.4
Requires:  carol
Requires:  jakarta-commons-logging
Requires:  jotm
Requires:  log4j
Requires:  p6spy

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XAPool is an open source XA Pool !
It allows to pool objects, JDBC connections 
and XA connections 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
pushd externals
#jonas_timer.jar
ln -sf $(build-classpath carol/carol) .
ln -sf $(build-classpath oracle-jdbc-thin) classes12.jar
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath idb) .
ln -sf $(build-classpath jotm/jotm) .
ln -sf $(build-classpath jotm/jrmp-stubs) jotm_jrmp_stubs.jar
ln -sf $(build-classpath jta) jta-spec1_0_1.jar
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath p6spy) .
popd

#export OPT_JAR_LIST="owanttask"
ant

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 output/dist/lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-1jpp
- First release

